Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001467graphvizDotpublic2008-10-30 15:312013-10-22 10:44
ReporterStephen North 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-OS Version
Summary0001467: Postscript font name broken in gd if no pango + cairo
Description



./configure --with-pangocairo=no
make
make install



In graphviz fontnames like Times-Bold or Helvetica-Italic the
modifier is ignored.



You can find a list of the 35 standard fontnames many places, like
http://www.tug.org/fontname/html/Standard-PostScript-fonts.html [^]



The output is supposed to be the same, regardless of whether
Cairo is available or what output codegen is chosen.
Steps To Reproduce

digraph G { node [fontname="Times-BoldItalic", label=ABCDE] ; A B C }
Additional Information

dot -v reports
Using render: cairo:cairo
Using device: png:cairo:cairo

good grief. cairo is definitely disabled in config.h

i ran dot-c for good measure, too, but that didn't help.

[ellson] Any chance you still have a lib/graphviz/libgvplugin_pango.so.5.0.0 installed from a previous build?
"dot -c" doesn't care when it was built, only that it loads at run time, so disabling pango at configure time for a new build
isn't sufficient to ensure that a pango plugin isn't found.

Might be safest to do a "rm -rf <prefix>/lib/graphviz" before you do a "make install"

[north] OK, I did the suggested rm, reinstalled, and that didn't make any difference.

I recompiled *with* cairopango, and that didn't help either. I just can't get Times-Bold.

This is Fedora 9 on my desktop.

Also, I notice that the PNGs have a grey or transparent background, not white.
Is that what everyone else is getting now?

[ellson] I've put in a partial fix for discussion. Times-Bold should work now, but others like Times-Italic still need to be fixed similarly, if this fix is OK.


I made separate copies of psfontResolve() for pango and for gd (pango v fontconfig syntax) and removed the original one from fontmetrics.c.

I changed the entry for "Times-Bold" in lib/common/ps_font_equiv.txt from:
   TIMES, "medium"
to:
   "Times", "bold"


Is this an OK direction?
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTwon't fix - pango cairo considered near essential for most usage
FORMER-ID1504
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.21.0
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 10:44 ellson FIX-COMMENT => won't fix - pango cairo considered near essential for most usage
2013-10-22 10:44 ellson Status acknowledged => closed
2013-10-22 10:44 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker